// script.js
document.addEventListener('DOMContentLoaded', function () {
    const tabButtons = document.querySelectorAll('.tab-button');
    const tabPanes = document.querySelectorAll('.tab-pane');

    function showTab(tabId) {
        tabPanes.forEach(pane => pane.classList.remove('active'));
        tabButtons.forEach(button => button.classList.remove('active'));

        document.getElementById(tabId).classList.add('active');
        document.querySelector(`.tab-button[data-tab="${tabId}"]`).classList.add('active');
    }

    tabButtons.forEach(button => {
        button.addEventListener('click', () => {
            showTab(button.dataset.tab);
        });
    });

    // Default to show the first tab
    showTab('tab1');

    // Tab 1 logic
    document.getElementById('button1').addEventListener('click', () => {
        const inputVal = document.getElementById('input1').value;
        document.getElementById('output1').textContent = `You entered: ${inputVal}`;
    });

    // Tab 2 logic
    document.getElementById('button2').addEventListener('click', () => {
        const textVal = document.getElementById('textarea2').value;
        const wordCount = textVal.split(/\s+/).filter(word => word !== "").length;
        document.getElementById('output2').textContent = `Word count: ${wordCount}`;
    });

    // Tab 3 logic
    document.getElementById('select3').addEventListener('change', () => {
        const selectedValue = document.getElementById('select3').value;
        document.getElementById('output3').textContent = `You selected: ${selectedValue}`;
    });
});